domaci1/AutoSaloni/AutoSaloni/Models/Salon.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;

namespace AutoSaloni.Models
{
    public class Salon
    {
        public int Id { get; set; }

        [Required]
        [Range(100000, 999999)]
        public int PIB { get; set; }

        [Required]
        [StringLength(20)]
        [Column("Salon")]
        public string Name { get; set; }

        [Required]
        [StringLength(20)]
        public string Country { get; set; }

        [Required]
        [StringLength(20)]
        public string City { get; set; }

        [Required]
        [StringLength(50)]
        public string Adress { get; set; }

        public List<Auto> Automobili { get; set; }
        public List<Ugovor> Ugovori { get; set; }

    }
}

domaci1/AutoSaloni/AutoSaloni/Controllers/AutoesController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using AutoSaloni.Models;

namespace AutoSaloni.Controllers
{
    public class AutoesController : Controller
    {
        private AutoSalonContext db = new AutoSalonContext();

        // GET: Autoes
        public ActionResult Index()
        {
            var auti = db.Auti.Include(a => a.Proizvodjac).Include(a => a.Salon);
            return View(auti.ToList());
        }

        // GET: Autoes/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Auto auto = db.Auti.Find(id);
            if (auto == null)
            {
                return HttpNotFound();
            }
            return View(auto);
        }

        // GET: Autoes/Create
        public ActionResult Create(int id)
        {
            ViewBag.ProizvodjacId = new SelectList(db.Proizvodjaci, "Id", "Name");
            ViewBag.SalonId = new SelectList(db.Saloni, "Id", "Name");
            return View();
        }

        // POST: Autoes/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "Id,Model,Year,Volume,Color,ProizvodjacId,SalonId")] Auto auto)
        {
            if (ModelState.IsValid)
            {
                db.Auti.Add(auto);
                var ugovori = db.Ugovori.ToList().Where(u=>u.ProizvodjacId==auto.ProizvodjacId && u.SalonId==auto.SalonId);

                if (ugovori != null)
                {
                    db.SaveChanges();
                    return RedirectToAction("Index", "Salons");
                }
                
            }

            ViewBag.ProizvodjacId = new SelectList(db.Proizvodjaci, "Id", "Name", auto.ProizvodjacId);
            ViewBag.SalonId = new SelectList(db.Saloni, "Id", "Name", auto.SalonId);
            
            return View(auto);
        }

        // GET: Autoes/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Auto auto = db.Auti.Find(id);
            if (auto == null)
            {
                return HttpNotFound();
            }
            ViewBag.ProizvodjacId = new SelectList(db.Proizvodjaci, "Id", "Name", auto.ProizvodjacId);
            ViewBag.SalonId = new SelectList(db.Saloni, "Id", "Name", auto.SalonId);
            return View(auto);
        }

        // POST: Autoes/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "Id,Model,Year,Volume,Color,ProizvodjacId,SalonId")] Auto auto)
        {
            if (ModelState.IsValid)
            {
                db.Entry(auto).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.ProizvodjacId = new SelectList(db.Proizvodjaci, "Id", "Name", auto.ProizvodjacId);
            ViewBag.SalonId = new SelectList(db.Saloni, "Id", "Name", auto.SalonId);
            return View(auto);
        }

        // GET: Autoes/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Auto auto = db.Auti.Find(id);
            if (auto == null)
            {
                return HttpNotFound();
            }
            return View(auto);
        }

        // POST: Autoes/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Auto auto = db.Auti.Find(id);
            db.Auti.Remove(auto);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

domaci1/AutoSaloni/AutoSaloni/Controllers/SalonsController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using AutoSaloni.Models;

namespace AutoSaloni.Controllers
{
    public class SalonsController : Controller
    {
        private AutoSalonContext db = new AutoSalonContext();

        // GET: Salons
        public ActionResult Index()
        {
            return View(db.Saloni.ToList());
        }

        // GET: Salons/Details/5
        public ActionResult Details(int? id)
        {
            try
            {
                if (id == null)
                {
                    return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
                }

                Salon salon = db.Saloni.Find(id);

                var ugovor = db.Ugovori.ToList().Where(c => c.SalonId.Equals(id));

                List<int> proId= new List<int>();
                foreach (var u in ugovor)
                {
                    proId.Add(u.ProizvodjacId);
                }
                
                if (ugovor.Count() != 0)
                {
                    var automobili = db.Auti.Where(a => a.SalonId == id && proId.Contains(a.ProizvodjacId)).Include(a => a.Proizvodjac);
                    salon.Automobili = automobili.ToList();
                    return View(salon);
                }

                return View(salon);
            }
            catch
            {
                return View();
            }

        }

        // GET: Salons/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Salons/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "Id,PIB,Name,Country,City,Adress")] Salon salon)
        {
            if (ModelState.IsValid)
            {
                db.Saloni.Add(salon);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(salon);
        }

        // GET: Salons/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Salon salon = db.Saloni.Find(id);
            if (salon == null)
            {
                return HttpNotFound();
            }
            return View(salon);
        }

        // POST: Salons/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "Id,PIB,Name,Country,City,Adress")] Salon salon)
        {
            if (ModelState.IsValid)
            {
                db.Entry(salon).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(salon);
        }

        // GET: Salons/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Salon salon = db.Saloni.Find(id);
            if (salon == null)
            {
                return HttpNotFound();
            }
            return View(salon);
        }

        // POST: Salons/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Salon salon = db.Saloni.Find(id);
            db.Saloni.Remove(salon);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

domaci1/AutoSaloni/AutoSaloni/Views/Salons/Create.cshtml
@model AutoSaloni.Models.Salon

@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>


@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>Salon</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.PIB, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.PIB, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.PIB, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Country, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Country, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Country, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.City, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.City, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.City, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Adress, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Adress, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Adress, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

domaci1/AutoSaloni/AutoSaloni/Views/Salons/Delete.cshtml
@model AutoSaloni.Models.Salon

@{
    ViewBag.Title = "Delete";
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>Salon</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.PIB)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PIB)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Country)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Country)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.City)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.City)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Adress)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Adress)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List", "Index")
        </div>
    }
</div>

domaci1/AutoSaloni/AutoSaloni/Views/Salons/Details.cshtml
@model AutoSaloni.Models.Salon

@{
    ViewBag.Title = "Details";
}
<link href="~/Content/bootstrap.css" rel="stylesheet" />
<script src="~/Scripts/bootstrap.js"></script>
<script src="~/Scripts/jquery-3.3.1.js"></script>

<h2>Details</h2>

<div>
    <h4>Salon</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.PIB)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PIB)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Country)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Country)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.City)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.City)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Adress)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Adress)
        </dd>
    </dl>
</div>
<div class="container">
    <a href="~/Autoes/Create/@Model.Id" class="btn btn-default btn-lg">Add new Car</a>
</div>

@if (Model.Automobili != null)
{
    <div class="container">
        <table class="table">
            <tr>
                <th>
                    @Html.Label("Proizvodjac")
                </th>
                <th>
                    @Html.Label("Model")
                </th>
                <th>
                    @Html.Label("Year")
                </th>
                <th>
                    @Html.Label("Volume")
                </th>
                <th>
                    @Html.Label("Color")
                </th>
                <th></th>
            </tr>

            @foreach (var item in Model.Automobili)
            {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Proizvodjac.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Model)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Year)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Volume)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Color)
                </td>
                <td>
                    @Html.ActionLink("Edit", "Edit", "Autoes", new { id = item.Id }, null) |
                    @Html.ActionLink("Details", "Details", "Autoes", new { id = item.Id }, null) |
                    @Html.ActionLink("Delete", "Delete", "Autoes", new { id = item.Id }, null)
                </td>
            </tr>
            }
        </table>
    </div>
}
else
{ <p>Salon nema ugovor ni sa jednim proizvodjacem!</p>}

<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Back to List", "Index")
</p>

domaci1/AutoSaloni/AutoSaloni/Views/Salons/Edit.cshtml
@model AutoSaloni.Models.Salon

@{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>Salon</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Id)

        <div class="form-group">
            @Html.LabelFor(model => model.PIB, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.PIB, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.PIB, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Country, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Country, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Country, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.City, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.City, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.City, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Adress, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Adress, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Adress, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

domaci1/AutoSaloni/AutoSaloni/Views/Salons/Index.cshtml
@model IEnumerable<AutoSaloni.Models.Salon>

@{
    ViewBag.Title = "Index";
}

<h2>Lista Salona</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>

@{
    Html.RenderPartial("_SalonsList");
}

domaci1/AutoSaloni/AutoSaloni/Views/Salons/_SalonsItems.cshtml
@model AutoSaloni.Models.Salon

<tr>
    <td>
        @Html.DisplayFor(m=>m.PIB)
    </td>
    <td>
        @Html.DisplayFor(m => m.Name)
    </td>
    <td>
        @Html.DisplayFor(m => m.Country)
    </td>
    <td>
        @Html.DisplayFor(m => m.City)
    </td>
    <td>
        @Html.DisplayFor(m => m.Adress)
    </td>
    <td>
        @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
        @Html.ActionLink("Details", "Details", new { id = Model.Id }) |
        @Html.ActionLink("Delete", "Delete", new { id = Model.Id })
    </td>
</tr>

domaci1/AutoSaloni/AutoSaloni/Views/Salons/_SalonsList.cshtml
@model IEnumerable<AutoSaloni.Models.Salon>

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.PIB)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Country)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.City)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Adress)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        Html.RenderPartial("_SalonsItems", item);
    }

</table>